org.apache.cassandra.auth

## Class PermissionDetails

- java.lang.Object
- - org.apache.cassandra.auth.PermissionDetails

All Implemented Interfaces:
  java.lang.Comparable<PermissionDetails>

    public class PermissionDetails
    extends java.lang.Object
    implements java.lang.Comparable<PermissionDetails>

Sets of instances of this class are returned by IAuthorizer.listPermissions() method for LIST PERMISSIONS query. None of the fields are nullable.

### Field Summary

Fields
`java.lang.String` `grantee`
`Permission` `permission`
`IResource` `resource`

### Constructor Summary

Constructors
Constructor and Description
`PermissionDetails(java.lang.String grantee, IResource resource, Permission permission)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(PermissionDetails other)`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### grantee

    public final java.lang.String grantee

#### resource

    public final IResource resource

#### permission

    public final Permission permission

### Constructor Detail

#### PermissionDetails

    public PermissionDetails(java.lang.String grantee,
                             IResource resource,
                             Permission permission)

### Method Detail

#### compareTo

    public int compareTo(PermissionDetails other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<PermissionDetails>`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`